<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Trace.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis::Trace</title>
<link href="../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">namespace <a href="../Synopsis.html" >Synopsis</a>
</div><div class="class-name">class Trace

</div><div class="links"><div class="file">File: <a href="../../File/Synopsis/Trace.hh.html" target="detail">../Synopsis/Trace.hh</a></div> <div class="xref"><a href="../../XRef/xref30.html#Synopsis_mTrace" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/Trace.hh.html#line17" ><img src="../../src-c++.png" alt="source code"/></a></div></div>   <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Public Structs Summary:</div>
<div class="item"><div class="synopsis">struct <a href="Trace/Entry.html" >Entry</a></div> <div class="xref"><a href="../../XRef/xref30.html#Synopsis_mTrace_mEntry" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/Trace.hh.html#line29" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Public Enums Summary:</div>
<div class="item"><div class="synopsis"><a class="name" id="Category">Category</a> NONE, PTREE, SYMBOLLOOKUP, PARSING, TRANSLATION, ALL</div> <div class="xref"><a href="../../XRef/xref30.html#Synopsis_mTrace_mCategory" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/Trace.hh.html#line22" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Public Member function templates Summary:</div>
<div class="item"><div class="synopsis"><div class="template">template &lt;<span class="keyword">typename</span> T&gt;</div> &#160;<i>constructor</i> <a class="name" id="Trace_lconst.std_mstring_A_cunsigned.int_cconst.T_A_r">Trace</a>(const&#160;std::string&amp; <span class="variable">s</span>, unsigned&#160;int <span class="variable">c</span>, const&#160;T&amp; <span class="variable">t</span>)  </div> <div class="xref"></div> <div class="source"><a href="../../Source/Synopsis/Trace.hh.html#line48" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><div class="template">template &lt;<span class="keyword">typename</span> T&gt;</div> &#160;<a href="Trace/Entry.html" >Entry</a> <a class="name" id="operator_L_L_lconst.T_A_rconst">operator&lt;&lt;</a>(const&#160;T&amp; <span class="variable">t</span>) <span class="keyword">const</span> </div> <div class="xref"><a href="../../XRef/xref31.html#Synopsis_mTrace_moperator_L_L_lconst.T_A_rconst" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/Trace.hh.html#line63" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Public Member functions Summary:</div>
<div class="item"><div class="synopsis">&#160;<i>constructor</i> <a class="name" id="Trace_lconst.std_mstring_A_cunsigned.int_r">Trace</a>(const&#160;std::string&amp; <span class="variable">s</span>, unsigned&#160;int <span class="variable">c</span>)  </div> <div class="xref"></div> <div class="source"><a href="../../Source/Synopsis/Trace.hh.html#line40" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<i>destructor</i> <a class="name" id="_tTrace_l_r">~Trace</a>()  </div> <div class="xref"><a href="../../XRef/xref31.html#Synopsis_mTrace_m_tTrace_l_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/Trace.hh.html#line55" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">static</span>&#160;void <a class="name" id="enable_lunsigned.int_r">enable</a>(unsigned&#160;int <span class="variable">mask</span> = <span class="value">ALL</span>)  </div> <div class="xref"><a href="../../XRef/xref31.html#Synopsis_mTrace_menable_lunsigned.int_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/Trace.hh.html#line65" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Private Member functions Summary:</div>
<div class="item"><div class="synopsis"><span class="keyword">static</span>&#160;std::string <a class="name" id="indent_l_r">indent</a>()  </div> <div class="xref"><a href="../../XRef/xref31.html#Synopsis_mTrace_mindent_l_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/Trace.hh.html#line68" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Private Data members Summary:</div>
<div class="item"><div class="synopsis">unsigned&#160;int <a class="name" id="my_mask">my_mask</a></div> <div class="xref"><a href="../../XRef/xref31.html#Synopsis_mTrace_mmy_mask" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/Trace.hh.html#line70" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">size_t <a class="name" id="my_level">my_level</a></div> <div class="xref"><a href="../../XRef/xref31.html#Synopsis_mTrace_mmy_level" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/Trace.hh.html#line71" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">std::string <a class="name" id="my_scope">my_scope</a></div> <div class="xref"><a href="../../XRef/xref31.html#Synopsis_mTrace_mmy_scope" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/Trace.hh.html#line72" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">bool <a class="name" id="my_visibility">my_visibility</a></div> <div class="xref"><a href="../../XRef/xref31.html#Synopsis_mTrace_mmy_visibility" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/Trace.hh.html#line73" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Enumerators Summary:</div>
<div class="item"><div class="synopsis"><a class="name" id="NONE">NONE</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="PTREE">PTREE</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="SYMBOLLOOKUP">SYMBOLLOOKUP</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="PARSING">PARSING</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="TRANSLATION">TRANSLATION</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ALL">ALL</a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:27:42 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
